Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2011-5-27 22:23

# Class Vote

- Defined in: Vote.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Vote(choice)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| choice
| created
| creator
| creator_name
| modified
| poll

## Method Summary

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormOptions
  getFormValue
  getMetadata
  getPermission
  getTags
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  link_macro
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  toString
  touch
  type_macro
  upload_macro

## Class Detail

Vote(choice)

Parameters:
{Choice} choice

## Field Detail

{Choice} choice
{Date} created
{User} creator
{String} creator_name
{Date} modified
{Poll} poll